For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
              • GETList Enabled Filters
              • PUTUpdate Enabled Filters
              • GETList Available Filters
              • GETList Contextual Filters
              • PUTUpsert Contextual Filters
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementSettingsSearch Filters

List Contextual Filters

GET
https://api.bigcommerce.com/stores/:store_hash/v3/settings/search/filters/contexts
GET
/stores/:store_hash/v3/settings/search/filters/contexts
$curl https://api.bigcommerce.com/stores/store_hash/v3/settings/search/filters/contexts \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json"
200Retrieved
1{
2 "data": [
3 {
4 "context": {
5 "category_id": 12,
6 "channel_id": 3
7 },
8 "data": [
9 {
10 "collapsed_by_default": false,
11 "display_name": "Color Options",
12 "display_product_count": true,
13 "id": "filter_product_color",
14 "is_enabled": true,
15 "items_to_show": 10,
16 "sort_by": "option_values",
17 "type": "product"
18 },
19 {
20 "collapsed_by_default": true,
21 "display_name": "Price Range",
22 "id": "filter_price_range",
23 "is_enabled": true,
24 "type": "price"
25 },
26 {
27 "collapsed_by_default": false,
28 "display_name": "Brands",
29 "display_product_count": true,
30 "id": "filter_brand",
31 "is_enabled": true,
32 "items_to_show": 15,
33 "sort_by": "alpha",
34 "type": "brand"
35 },
36 {
37 "collapsed_by_default": true,
38 "display_name": "Customer Ratings",
39 "id": "filter_rating",
40 "is_enabled": true,
41 "type": "rating"
42 },
43 {
44 "collapsed_by_default": false,
45 "display_name": "Availability",
46 "display_product_count": true,
47 "id": "filter_misc_availability",
48 "is_enabled": true,
49 "show_free_shipping_filter": true,
50 "show_in_stock_filter": true,
51 "show_is_featured_filter": false,
52 "show_product_count": true,
53 "type": "other"
54 }
55 ]
56 }
57 ],
58 "meta": {
59 "pagination": {
60 "count": 5,
61 "current_page": 1,
62 "links": {
63 "current": "?limit=5&page=1",
64 "next": "?limit=5&page=2"
65 },
66 "per_page": 5,
67 "total": 246,
68 "total_pages": 50
69 }
70 }
71}

Returns a list of contextual filters enabled for a particular channel or category.

Usage Notes

Contextual filters allow you to configure the enabled filters per channel or category, so that shoppers can filter by the most relevant criteria.

The order of the returned filters will match the sort order of the filters on the storefront.

Was this page helpful?
Previous

List Available Filters

Next

Upsert Contextual Filters

Built with

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Information & Settings | modify | `store_v2_information` | | Information & Settings | read-only | `store_v2_information_read_only` | NOTE: Analytics endpoints require the Content (`store_v2_content` and `store_v2_content_read_only`) OAuth scope. ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Query parameters

channel_idintegerOptional
Only return contextual overrides related to a particular Channel.
category_idintegerOptional
Only return contextual overrides related to a particular Category.

Response

OK
datalist of objects
metaobject

OAuth scopes

UI NamePermissionParameter
Information & Settingsmodifystore_v2_information
Information & Settingsread-onlystore_v2_information_read_only

NOTE: Analytics endpoints require the Content (store_v2_content and store_v2_content_read_only) OAuth scope.

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.